/* ============================================================================
 * File Name: PWM2_P4_01a_upload
 *
 * Description:
 *   PSoC4200 demo showing 2-phase (0, 180) PWM generator
 *   with variable frequency and duty cycle.
 *
 *   Frequency adjustment: 30kHz...40kHz 
 *   Dutu cycle adjustment: 0...100%
 *
 * Uses:
 *   project uses several custom components:
 *
 *   KIT-042 Annotation component
 *   https://community.infineon.com/t5/PSoC-4/KIT-042-Annotation-component-for-CY8CKIT-042-Pioneer-Kit/td-p/243102
 *
 * ============================================================================
 * PROVIDED AS-IS, NO WARRANTY OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * FREE TO SHARE, USE AND MODIFY UNDER TERMS: CREATIVE COMMONS - SHARE ALIKE
 * ============================================================================
*/




#include <project.h>


#define MAX(a,b) ((a) > (b) ? (a) : (b))
#define MIN(a,b) ((a) < (b) ? (a) : (b))


//===========================================
// Function prototypes
//===========================================


//===========================================
// Global variables
//===========================================


void Initialize()
{   
    CyGlobalIntEnable;        //enable global interrupts.
 
    PWM_1_Start();
    PWM_1_WritePeriod( 350 ); // update frequency
    PWM_1_WriteCompare(100);  // update duty cycle   
}


int main()
{
    Initialize(); 
    
    for(;;) //forever
    {
        
        /*
        if (command received)
        {
            //PWM_1_WritePeriod( MAX(Decoder_1_Position,  (uint16)PWM_1_ReadCompare()) ); // update period
            PWM_1_WriteCompare( MIN(Decoder_1_Position, (uint16)PWM_1_ReadPeriod())  ); // update duty cycle
        }
        */
    } 
    
    
} // main()

